function skill032()

id = player.GetTargetNpc()
local noid=npc.GetTemplateID(id)
local pid=battle.GetActingPlayerID()

if noid~=5582 and noid~=5583 and noid~=5584 and noid~=5604 and noid~=5605 and noid~=5606 and noid~=5607 and noid~=5608 and noid~=5659 and noid~=5660 and noid~=5661 and noid~=5782 and noid~=5783 and noid~=5784 and noid~=6009 and noid~=6010 and noid~=6011 and noid~=6012 and noid~=6013 and noid~=6000 and noid~=6022 and noid~=6023 and noid~=6024 and noid~=6025 and noid~=6027 and noid~=10120 then--ÅÅ³ý·Ç»îÎï

if battle.CheckNpcStat(id,709)==1 then
npc.AddStat(0,id,9000,5,4)
else
npc.AddStat(0,id,100,5,3)
end
	
end

if pid==2 then
local a=battle.GetRndNumber(1,100)
if a<=20 then
player.CreateSE(2,171)
player.AddStat(0,2,100,5,3)
end
end

end